Data underlying the BSc thesis: Writing in VR with a word-gesture keyboard and matching gestures using Bezier curves
==========================================================================================================



# Data

The data of every person who conducted the user study is recorded in a separate file. 

Each file begins with "===EXPERIMENT START===", which can be disregarded. Then, each individual phrase is surrounded by the lines "===START===" and "===END===". Each other line follows the format "<TAG>:<TIMESTAMP>:<PARAMETER (optional)>". The timestamp is always in unix time.

## Tags

Here we explain the meaning of each tag.


| tag    | description                                            | parameter           |
| :-------- | :---------------------------------------- | --------------------- |
| ALGORITHM   | Decribes which type of PGGs were used.               | Linear or Cubic Bezier                 |
| PHRASE | The phrase that the user has to write currntly.              | String, the phrase        |
| START  | The moment when the user first interacted with the keyboard. Words per minute uses this value. The timestamp is used.       | N/A        |
| POINTS | Equally sampled points from the user-drawn gesture. The number of points can vary. If followed by a WORD tag, the gesture was successfully recognied as a word.         | x1,y1,x2,y2,x3,y3.... ; Comma-separated floating-point numbers.   |
| WORD        | A word written to the screen. If preceeded by a POINTS tag, it is from a recognised gesture. If preceeded by a DELETED tag, then autocorrection suggestion was used. | String, the recognised word         |
| DELETED        | The last word in the written phrase was deleted. If followed by a WORD tag, autocorrection suggestion was used. Otherwise, it's a manual deletion from the user. | N/A         |
| WPM        | The words-per-minute performance of the user for the phrase. Always at the end. The timestamp represents the moment the user completed the phrase correctly. NOTE: This does not take into account space characters as part of the words-per-minute, which is incorrect. | Floting-point number         |